# Class FormResetDirective

#### Hierarchy

- ConfirmClick
  - FormResetDirective

- Defined in packages/angular/forms/src/lib/directives/form-reset.directive.ts:18

#####
Index

### Constructors

constructor

### Properties

type

### Accessors

hasConfirmDirective

### Methods

execute
onClick
onConfirm

##
Constructors

### constructor

- new FormResetDirective(formDirective: FormDirective): FormResetDirective

  #### Parameters

  - formDirective: FormDirective

  #### Returns FormResetDirective

  Overrides ConfirmClick.constructor

  - Defined in packages/angular/forms/src/lib/directives/form-reset.directive.ts:24

##
Properties

### type

type: string = 'button'

- Defined in packages/angular/forms/src/lib/directives/form-reset.directive.ts:22

##
Accessors

### hasConfirmDirective

- set hasConfirmDirective(value: any): void

  #### Parameters

  - value: any

  #### Returns void

  Inherited from ConfirmClick.hasConfirmDirective

  - Defined in packages/angular/directives/src/lib/confirm-click.ts:14

##
Methods

### `Protected` execute

- execute(): void

  #### Returns void

  Overrides ConfirmClick.execute

  - Defined in packages/angular/forms/src/lib/directives/form-reset.directive.ts:30

### onClick

- onClick(): void

  #### Returns void

  Inherited from ConfirmClick.onClick

  - Defined in packages/angular/directives/src/lib/confirm-click.ts:19

### onConfirm

- onConfirm(): void

  #### Returns void

  Inherited from ConfirmClick.onConfirm

  - Defined in packages/angular/directives/src/lib/confirm-click.ts:26